Crie uma API Key para testar os endpoints ao vivo.

Criar API Key

Esta operação consome créditos do seu workspace por chamada.

post /api/v1/enrichment/whatsapp

Autorização

Informe sua API key gerada em /developer/api-keys

Authorization

bearerAuth
AuthorizationBearer <token>

Informe sua API key gerada em /developer/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://tamz.ai/api/v1/enrichment/whatsapp" \  -H "Content-Type: application/json" \  -d '{    "numbers": [      "11999998888",      "(21) 97167-8613"    ]  }'
{
  "data": {
    "lead_ref": "string",
    "results": [
      {
        "input": "string",
        "normalized": "string",
        "valid": true,
        "whatsapp": true,
        "jid": "string"
      }
    ]
  },
  "meta": {
    "credits_used": 0,
    "verified": 0,
    "invalid": 0
  }
}
{
  "error": {
    "code": "INVALID_PARAMS",
    "message": "Invalid parameters"
  }
}
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Missing API key. Use Authorization: Bearer tamz_xxx or X-API-Key header"
  }
}
{
  "error": {
    "code": "INSUFFICIENT_CREDITS",
    "message": "Insufficient credits"
  }
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "Rate limit exceeded"
  }
}
{
  "error": {
    "code": "INVALID_PARAMS",
    "message": "Invalid parameters"
  }
}